#header {
    box-shadow: 1px 2px 23px var(--bs-primary);
    position: fixed;
    top: 0;
    left: 0;
    z-index: 99;

    .logo-header {
        max-width: 150px;
        width: 100%;
    }

    .navbar {
        position: relative;
    }

    li.nav-item a {
        position: relative;
    }

    li.nav-item.active a::before {
        opacity: 1;
        transform: translateY(0)
    }

    li.nav-item a::before {
        content: '';
        position: absolute;
        bottom: 6px;
        left: 0;
        border: 1px solid var(--bs-primary);
        width: 100%;
        opacity: 0;
        /* Inicialmente oculto */
        transform: translateY(5px);
        /* Desplazamiento hacia abajo para suavizar la entrada */
        transition: opacity .5s ease-in-out, transform .5s ease-in-out;
        /* Animaciones de opacidad y transformación */
    }

    li.nav-item:hover a::before {
        opacity: 1;
        /* Hacer visible */
        transform: translateY(0);
        /* Regresar a su posición original */
    }

    .search-wrap {
        position: absolute;
        height: 100%;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background: #fff;
        z-index: 999;
        opacity: 0;
        visibility: hidden;
        -webkit-transition: .5s all ease;
        -o-transition: .5s all ease;
        transition: .5s all ease;
    }

    .search-wrap .form-control {
        position: absolute;
        top: 50%;
        right: 0;
        width: 100%;
        -webkit-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
        transform: translateY(-50%);
        border: none;
        z-index: 3;
        font-size: 20px;
    }

    .search-wrap.active {
        opacity: 1;
        visibility: visible;
    }

    .form-control {
        height: 43px;
    }

    .search-wrap .search-close {
        z-index: 4;
        position: absolute;
        right: 20px;
        top: 50%;
        -webkit-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
        transform: translateY(-50%);
    }

    .search-wrap .search-close span {
        font-size: 30px;
    }

    .icons-btn i {
        display: block;
        height: 40px;
        width: 40px;
        line-height: 40px;
    }

    .bag .number {
        position: absolute;
        top: 0;
        width: 20px;
        height: 20px;
        border-radius: 50%;
        line-height: 20px;
        color: #000;
        font-size: 12px;
        background: #51eaea;
        right: -5px;
    }

    .bag {
        position: relative;
    }

    .icons-btn {
        display: inline-block;
        text-align: center;
    }
    @media (min-width:767px) {
        li.nav-item a::before{
            width: 100% !important;
        }
    }
    @media (min-width:1440px) {
        .logo-header {
            max-width: 200px;
        }
        .bi-search::before {
            font-size: 1.6rem;
        }
        li.nav-item a {
            position: relative;
            font-size: 1.3rem;
        }
    }
}